<div class="container" *ngIf="authService.isLogged | async ">

    <ng-container *ngIf="isAdministrador">
        <mat-toolbar>
            <span>Flujos Asociados al trabajador</span>

            <div class="example-spacer"></div>

            <button mat-raised-button color="basic" routerLink="/listarEquipo">Volver</button>
        </mat-toolbar>

        <mat-form-field appearance="standard">
            <mat-label>Filter</mat-label>
            <input matInput (keyup)="applyFilter($event)" placeholder="Ex. ium" #input autocomplete="off">
        </mat-form-field>


        <div class="mat-elevation-z8">
            <table mat-table [dataSource]="dataSource" matSort>

                <!-- Weight Column -->
                <ng-container matColumnDef="nombre_flujo_trabajo">
                    <th mat-header-cell *matHeaderCellDef mat-sort-header> Nombre Flujo  </th>
                    <td mat-cell *matCellDef="let element"> {{element.nombre_flujo_trabajo}} </td>
                </ng-container>

                <!-- Position Column -->
                <ng-container matColumnDef="fecha_asignacion">
                    <th mat-header-cell *matHeaderCellDef mat-sort-header> fecha asignacion </th>
                    <td mat-cell *matCellDef="let element"> {{element.fecha_asignacion}} </td>
                </ng-container>

                <!-- Name Column -->
                <ng-container matColumnDef="fecha_plazo">
                    <th mat-header-cell *matHeaderCellDef mat-sort-header> fecha_plazo </th>
                    <td mat-cell *matCellDef="let element"> {{element.fecha_plazo}} </td>
                </ng-container>


                <ng-container matColumnDef="nombre_empleado_responsable">
                    <th mat-header-cell *matHeaderCellDef mat-sort-header> Nombre Responsable </th>
                    <td mat-cell *matCellDef="let element">
                        {{element.nombre_empleado_responsable}} {{element.primer_apellido_empleado_responsable}} </td>
                </ng-container>
 
                <ng-container matColumnDef="nombre_empleado_jefatura">
                    <th mat-header-cell *matHeaderCellDef mat-sort-header> Jefe </th>
                    <td mat-cell *matCellDef="let element">
                        {{element.nombre_empleado_jefatura}} {{element.primer_apellido_empleado_jefatura}}</td>
                </ng-container> 
                
                <ng-container matColumnDef="acciones">
                    <th mat-header-cell *matHeaderCellDef> </th>
                    <td mat-cell *matCellDef="let element;" style="text-align: right;">
                        
                        <a class="pointer" matTooltip="Listar Tareas del flujo"
                            (click)="listarTareasFlujo(element.fecha_asignacion, element.id_empleado_responsable, element.nombre_empleado_responsable, element.primer_apellido_empleado_responsable )">
                            <mat-icon color="primary">vertical_split</mat-icon>
                        </a>
                        
                        <!--
                        <a class="pointer" (click)="editarTarea(element.id_tarea_empleado)" matTooltip="Editar Estado">
                            <mat-icon color="accent">edit</mat-icon>
                        </a>

                        <a class="pointer" (click)="listarSubTareas(element.id_tarea_empleado)"
                            matTooltip="Listar SubTareas">
                            <mat-icon> format_list_numbered</mat-icon>
                        </a>
                        -->
                    </td>
                </ng-container>

                <tr mat-header-row *matHeaderRowDef="displayedColumns"></tr>
                <tr mat-row *matRowDef="let row; columns: displayedColumns;"></tr>
            </table>
            <mat-paginator [pageSizeOptions]="[5, 10, 25, 100]" aria-label="Select page of users"></mat-paginator>
        </div>

    </ng-container>
    


</div>